<?php
/**
 * Setting html filter "ksess" so that in notifications you can add necessary html parameters
 *
 * @package  Giveaways for woocommerce/Classes
 * @author   Sindyakin Sergei
 * @version 1.0.0
 */

if (!defined('ABSPATH')) {
  exit;
}

class DCP_SETTING_KSSES {
   /**
	 * Hook in ajax handlers.
	 */
  public static function init () {
    add_filter('wp_kses_allowed_html',  array(__CLASS__, 'kess_to_add'));
  }

/*
 * Setting html filter "ksess" so that in notifications you can add necessary html parameters.
 */
public static function kess_to_add($tags) {
	$tags['button'] = array_merge($tags['button'], array(
		'data-id-coupon' => true,
		'data-user-id' => true,
		'data-err-status' => true,
	));

	return $tags;
}
}
DCP_SETTING_KSSES::init();
