(function( $ ) {
	function sse_notices_coupons_user() {

 		/*
 		 * Receive the following notifications.
		 */
		$( 'button.sse_notices_button_next' ).live( 'click', function() {
			$.ajax({
				type: 'POST',
				url: window.sse_notices_coupon_data.url,
				dataType: 'json',
				data: {
					action: 'sse_notices_next',
					nonce: window.sse_notices_coupon_data.nonce,
					end_point: $( 'button.sse_notices_button_next' ).data( 'idCoupon' ),
				},
				success: function(response) {
					$( 'div.sse_notices_div_next' ).replaceWith(response);
				}
			});

			$.ajax({
				type: 'POST',
				url: window.sse_notices_coupon_data.url,
				dataType: 'json',
				data: {
					action: 'sse_notices_new',
					nonce: window.sse_notices_coupon_data.nonce,
				},
				success: function(response) {
					if(response!=""){
						 alert( response );
					}
				}
			});
		});


		 /*
		 * Delete current notifications of new coupons.
		 */
		$( 'button.sse_notices_button_del' ).live( 'click', function() {
			var ID = $(this).data( 'idCoupon' );
			$.ajax({
				type: 'POST',
				url: window.sse_notices_coupon_data.url,
				dataType: 'json',
				data: {
					action: 'sse_notices_del',
					nonce: window.sse_notices_coupon_data.nonce,
					id_coupon: ID,
				},
				success: function(response) {
					$( 'div.sse_ncp_head_'+ ID ).remove();
					$( 'div.sse_notices_coupon_'+ ID ).remove();

				}
			});
		});
	}

	/*
	 * Load events.
	 */
	$( document ).ready(sse_notices_coupons_user());
})( jQuery );