<?php
/**
 * Shortcode
 *
 * @package  Giveaways for woocommerce/Classes
 * @author   Sindyakin Sergei
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class DCP_SHORTCODES {
    public static $add_script;

    /**
    * Add Shortcode.
    */
    public static function init () {
          add_shortcode('dcp_date', array(__CLASS__, 'dcp_date'));
          add_shortcode('dcp_cuser', array(__CLASS__, 'dcp_cuser'));
      }


    /**
    * Shortcode for working with dates.
    */
    public static function dcp_date($atts = array()) {

        if(empty($atts['local'])){
        	$local='dispatch-of-coupons';
        }else
        {
        	$local=$atts['local'];
        }

        if(empty($atts['format'])){
        	$format='m.d.y H:m';
        }else
        {
        	$format=$atts['format'];
        }

         $translate = array(
         "am" => __("am", $local),
         "pm" => __("pm", $local),
         "AM" => __("AM", $local),
         "PM" => __("PM", $local),
         "Monday" => __("Monday", $local),
         "Mon" => __("Mon", $local),
         "Tuesday" => __("Tuesday", $local),
         "Tue" => __("Tue", $local),
         "Wednesday" => __("Wednesday", $local),
         "Wed" => __("Wed", $local),
         "Thursday" => __("Thursday", $local),
         "Thu" => __("Thu", $local),
         "Friday" => __("Friday", $local),
         "Fri" => __("Fri", $local),
         "Saturday" => __("Saturday", $local),
         "Sat" => __("Sat", $local),
         "Sunday" => __("Sunday", $local),
         "Sun" => __("Sun", $local),
         "January" => __("January", $local),
         "Jan" => __("Jan", $local),
         "February" => __("February", $local),
         "Feb" => __("Feb", $local),
         "March" => __("March", $local),
         "Mar" => __("Mar", $local),
         "April" => __("April", $local),
         "Apr" => __("Apr", $local),
         "May" => __("May", $local),
         "May" => __("May", $local),
         "June" => __("June", $local),
         "Jun" => __("Jun", $local),
         "July" => __("July", $local),
         "Jul" => __("Jul", $local),
         "August" => __("August", $local),
         "Aug" => __("Aug", $local),
         "September" => __("September", $local),
         "Sep" => __("Sep", $local),
         "October" => __("October", $local),
         "Oct" => __("Oct, $local"),
         "November" => __("November", $local),
         "Nov" => __("Nov", $local),
         "December" => __("December", $local),
         "Dec" => __("Dec", $local),
         "st" => __("st", $local),
         "nd" => __("nd", $local),
         "rd" => __("rd", $local),
         "th" => __("th", $local)
         );

          $coupon_sse = new DCP_CP_NTC($_SESSION['dcp_current_id_coupon_user_sse']);
          	if ($coupon_sse->get_date_newsletter()) {
          		$expiry_date_u = strtr($coupon_sse->get_date_newsletter()->date($format), $translate);
    	} else {
    		$expiry_date_u = '';
    	}
    	return $expiry_date_u;
    }


    /**
    * Shortcode for working with user data.
    */
    public static function dcp_cuser($atts = array()) {
    	$id_user = get_current_user_id();

    	$user_info = get_userdata($id_user);

    	if(empty($atts['data'])){
    		$data=$user_info->user_login;
    	}else{
    		$data=$user_info->$atts['data'];
    	}

    	return $data;
    }

}
DCP_SHORTCODES::init();
